<?php
/**
 * @package     ReveChat
 * @subpackage  ReveChat
 * @copyright   Copyright (C) 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
JHtml::_('jquery.framework');
jimport('joomla.application.component.view');

/**
 * HTML View class for the revechat
 */
class ReveChatViewReveChat extends JViewLegacy
{
    var $revechat = "";

    function display($tpl = null)
    {
        if (!JFactory::getApplication()->get('jquery')) {
            JFactory::getApplication()->set('jquery', true);
            $document = JFactory::getDocument();
            $document->addScript(JUri::root() . "media/com_revechat/js/intlTelInput.min.js");
            $document->addScript(JUri::root() . "media/com_revechat/js/jquery-validation.js");
            $document->addScript(JUri::root() . "media/com_revechat/js/scripts.js");
        }

        $db =JFactory::getDBO();
        $user =JFactory::getUser();

        $query = "select * from #__revechat limit 1";
        $options = array();

        $db->setQuery($query);
        $options["revechat_id"] = 0;
        $options["revechat_aid"] = "";

        if ($result = $db->execute()) {
            $rows = $db->getNumRows();
            if ($rows != 0) {
                $revechat_data = $db->loadAssocList();
                $options["revechat_id"] = $revechat_data[0]["id"];
                $options["revechat_aid"] = $revechat_data[0]["revechat_aid"];
            }
        }
        $this->get('options', $options);
        $document = JFactory::getDocument();
        $document->addStyleSheet(JUri::root() . 'media/com_revechat/css/intlTelInput.css');
        $document->addStyleSheet(JUri::root() . 'media/com_revechat/css/styles.css');
        parent::display($tpl);

    }
}