<?php
/**
 * @package REVE Chat for Joomla 3.0
 * @version 1.0.1
 * @author REVE Chat
 * @copyright (C) 2010- 2016 REVE Chat
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 **/
// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.plugin.plugin');

class plgSystemRevechat extends JPlugin
{
    function onAfterInitialise()
    {
        $app = JFactory::getApplication();

        // skip if admin page
        if ($app->isClient("administrator")) {
            return;
        }

        $sql = "select * from #__revechat limit 1";
        $db =JFactory::getDBO();
        $db->setQuery($sql);


        if ($result = $db->execute()) {
            $rows = $db->getNumRows();
            if ($rows != 0) {
                $revechat_data = $db->loadAssocList();
                $revechat_aid = $revechat_data[0]["revechat_aid"];
            }

            $script = '';
            if ($revechat_aid != 0) {
                $script = 'window.$_REVECHAT_API || (function(d, w) { var r = $_REVECHAT_API = function(c) {r._.push(c);}; w.__revechat_account="'.$revechat_aid.'";w.__revechat_version=2;
                               r._= []; var rc = d.createElement(\'script\'); rc.type = \'text/javascript\'; rc.async = true; rc.setAttribute(\'charset\', \'utf-8\');
                               rc.src = (\'https:\' == document.location.protocol ? \'https://\' : \'http://\') + \'static.revechat.com/widget/scripts/new-livechat.js?\'+new Date().getTime();
                               var s = d.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(rc, s);
                             })(document, window);
                            ';

            }

            $document = JFactory::getDocument();
            $document->addScriptDeclaration($script);
        }
    }
}